Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class GrailsResourceLoaderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsResourceLoaderFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class GrailsResourceLoaderFactoryBean

A factory bean that constructs the Grails ResourceLoader used to load Grails classes.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`void` | `afterPropertiesSet()`
`GrailsResourceLoader` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsResourceHolder(GrailsResourceHolder grailsResourceHolder)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public GrailsResourceLoader getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setGrailsResourceHolder

    public void setGrailsResourceHolder(GrailsResourceHolder grailsResourceHolder)

Groovy Documentation